# $Revision: 1.35 $, $Date: 2004/03/28 21:27:02 $
Summary:	Random signature generator
Summary(pl):	Generator losowych sygnaturek
Name:		gensig
Version:	2.3
Release:	1
License:	GPL
Group:		Applications/Mail
Source0:	http://www.geekthing.com/~robf/gensig/%{name}-%{version}.tar.gz
# Source0-md5:	1b4a0b3713b8e377baeef606f584d539
URL:		http://www.geekthing.com/~robf/gensig/
BuildRequires:	autoconf >= 2.13
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gensig is a random signature/tagline generator. It turns your
~/.signature into a FIFO, and every time it's read, it has a dif-
ferent tagline in your signature. It is very configurable and doesn't
load the whole taglines list into memory. It also reloads the taglines
list automatically if it has changed on disk and is capable of
handling multiple input files for taglines.

%description -l pl
gensig jest generatorem losowych sygnaturek pocztowych. Zmienia twj
plik ~/.signature w FIFO, w efekcie czego przy kadym jego czytaniu
otrzymywana jest nowa sygnaturka. Jest mocno konfigurowalny, nie
aduje wszytkich sygnatur do pamici, przeadowuje automatycznie
list etykiet za kadym razem gdy ulegnie ona zmianie, a take
umoliwia prac z wieloma plikami zawierajcymi linie z
sygnaturkami.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog AUTHORS CREDITS TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/gensig
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gensig.spec,v $
Revision 1.35  2004/03/28 21:27:02  qboosh
- ac version in BR

Revision 1.34  2004/03/28 21:26:16  qboosh
- updated to 2.3 (ready for gcc 3.3)

Revision 1.33  2003/05/28 12:58:58  malekith
- massive attack: source-md5

Revision 1.32  2003/05/25 05:47:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.31  2003/02/14 00:45:21  baseciq
- cosmetics

Revision 1.30  2002/11/27 20:15:36  juandon
- new %%doc

Revision 1.29  2002/10/09 13:14:24  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.28  2002/05/21 23:13:08  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.27  2002/04/25 16:22:19  arturs
fixed a small typo

Revision 1.26  2002/04/12 20:49:14  kloczek
- release 4: added regenerate ac/am files and switch to using %%configure macro.

Revision 1.25  2002/02/22 23:28:56  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.24  2002/01/18 02:13:02  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.23  2001/11/14 11:45:03  filon
- changed to %%%configure2_13, to make it build

Revision 1.22  2001/05/27 17:50:38  kloczek
- release 3.

Revision 1.21  2001/05/02 16:29:02  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.20  2000/06/09 07:54:41  kloczek
- more %%{__make} macros.

Revision 1.19  2000/06/09 07:22:50  kloczek
- added using %%{__make} macro.

Revision 1.18  2000/05/18 21:48:36  kloczek
- spec adapterized.

Revision 1.17  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.16  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.15  1999/11/09 07:18:54  kura
- fixed pl translations

Revision 1.14  1999/10/29 10:12:20  kloczek
- release 2.

Revision 1.13  1999/10/28 22:11:57  pius
- added using %%configure macro
- cosmetics

Revision 1.12  1999/07/12 23:05:57  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat May  8 1999 Piotr Czerwiski <pius@pld.org.pl>
  [2.1-1]
- updated to 2.1,
- added man pages,
- package is FHS 2.0 compliant.

* Thu Apr 28 1999 Piotr Czerwiski <pius@pld.org.pl>
  [2.0-1]
- initial RPM release for PLD.
